## gcr-import-button gcr-import-button |

## Synopsis

    struct              GcrImportButton;
    struct              GcrImportButtonClass;
    GcrImportButton *   gcr_import_button_new               (const gchar *label);
    void                gcr_import_button_add_parsed        (GcrImportButton *self,
                                                             GcrParsed *parsed);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkButton
                                     +----GcrImportButton

## Implemented Interfaces

GcrImportButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Signals

      "imported"                                       : Run Last
      "importing"                                      : Run Last

## Description

## Details

### struct GcrImportButton

    struct GcrImportButton;

### struct GcrImportButtonClass

    struct GcrImportButtonClass {
    	GtkButtonClass parent_class;

    	void    (*importing)   (GcrImportButton *self,
    	                        GcrImporter *importer);

    	void    (*imported)    (GcrImportButton *self,
    	                        GcrImporter *importer,
    	                        GError *error);
    };

### gcr_import_button_new ()

    GcrImportButton *   gcr_import_button_new               (const gchar *label);

### gcr_import_button_add_parsed ()

    void                gcr_import_button_add_parsed        (GcrImportButton *self,
                                                             GcrParsed *parsed);

## Signal Details

### The `"imported"` signal

    void                user_function                      (GcrImportButton *gcrimportbutton,
                                                            GObject         *arg1,
                                                            GError          *arg2,
                                                            gpointer         user_data)            : Run Last

`gcrimportbutton` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"importing"` signal

    void                user_function                      (GcrImportButton *gcrimportbutton,
                                                            GObject         *arg1,
                                                            gpointer         user_data)            : Run Last

`gcrimportbutton` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.